config/routes.rb
Rails.application.routes.draw do
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html

  namespace :admin do
    Administrate::NamespaceWithFilter::INCLUDED_RESSOURCES.each do |model|
      resources model do
        member do
          post :publish, to: 'publish#create'
          delete :publish, to: 'publish#destroy', as: :unpublish

          resource :versions, only: [:index], as: "#{model}_versions"
        end
      end
    end

    resources :versions, only: [:index, :show]
  end

  post :metadata, to: 'metadata#create'

  get :docs, to: 'docs#index', as: 'docs'
  get 'docs/*path', to: 'docs#show', as: 'doc'

  root to: 'dashboard#show'
end

app/controllers/docs_controller.rb
# frozen_string_literal: true

class DocsController < ApplicationController
  layout 'application'

  def show
    page = Page.by_slug(params[:path]).first!

    add_breadcrumb 'Docs', docs_path
    add_breadcrumb page.title

    render locals: {
      page: page,
    }
  end

  def index
    pages = Page.hidden

    add_breadcrumb 'Docs'

    render locals: {
      pages: pages,
    }
  end
end

app/views/docs/index.html.erb
<% content_for(:title, 'Anleitungen') %>

<% content_for(:header_actions) do %>
<% end %>

<div class="container">
  <ul>
  <% pages.each do |page| %>
    <li><%= link_to page.title, doc_path(page.slug) %></li>
  <% end %>
  </ul>
</div>

app/views/docs/show.html.erb
<% content_for(:title, page.title) %>

<% content_for(:header_actions) do %>
  <%= action_link(page, :edit) %>
<% end %>

<div class="container">
  <div class="page-content">
    <%= markdown page.body %>
  </div>
</div>